Office of Information Technology

What web browsers are supported?

Supported Web Browsers

  • Internet Explorer 9+ JavaScript enabled
  • Firefox 17+ JavaScript enabled
  • Chrome 22+ JavaScript enabled
  • Safari 5+ JavaScript enabled

(Note: Disable Pop-up Blockers)

The Brookdale Portal uses the latest web technologies and will be upgraded continually to accommodate new features. Therefore, it is a good idea to use the most recent version of your browser.  Please refer to the following page, MyBrookdale Portal Documentation for additional browser information.

Posted in: MyBrookdale Portal

Request Help →

Get Brookdale Mobile

Upcoming Maintenance

There is no scheduled maintenance at this time.